Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.examples.travelagency.ws
Class TravelAgencySoapBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.objectweb.jass.examples.travelagency.ws.TravelAgencySoapBindingStub

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.Stub, TravelAgency

public class TravelAgencySoapBindingStub
extends org.apache.axis.client.Stub
implements TravelAgency

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`TravelAgencySoapBindingStub()`
`TravelAgencySoapBindingStub(javax.xml.rpc.Service service)`
`TravelAgencySoapBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`int` | `reserveRooms(int in0)`
`int` | `reserveSeats(int in0)`

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TravelAgencySoapBindingStub

    public TravelAgencySoapBindingStub()
                                throws org.apache.axis.AxisFault

### TravelAgencySoapBindingStub

    public TravelAgencySoapBindingStub(java.net.URL endpointURL,
                                       javax.xml.rpc.Service service)
                                throws org.apache.axis.AxisFault

### TravelAgencySoapBindingStub

    public TravelAgencySoapBindingStub(javax.xml.rpc.Service service)
                                throws org.apache.axis.AxisFault

Method Detail

### reserveSeats

    public int reserveSeats(int in0)
                     throws java.rmi.RemoteException,
                            NotEnoughSeatsException,
                            DBException

  Specified by:
    `reserveSeats` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `NotEnoughSeatsException`
    `DBException`

### reserveRooms

    public int reserveRooms(int in0)
                     throws java.rmi.RemoteException,
                            DBException,
                            NotEnoughRoomsException

  Specified by:
    `reserveRooms` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `DBException`
    `NotEnoughRoomsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD